org.apache.sling.hapi.client

## Interface HtmlClientService

All Known Implementing Classes:
  HtmlClientServiceImpl

    public interface HtmlClientService

### Method Summary

Methods
`HtmlClient` `getClient(org.apache.http.impl.client.CloseableHttpClient client, String baseUrl)` Get an HtmlClient that internally uses a CloseableHttpClient
`HtmlClient` `getClient(String baseUrl)` Get an HtmlClient.
`HtmlClient` `getClient(String baseUrl, String user, String password)` Get an HtmlClient that uses BasicAuth for all requests

### Method Detail

#### getClient

    HtmlClient getClient(org.apache.http.impl.client.CloseableHttpClient client,
                       String baseUrl)

Get an HtmlClient that internally uses a CloseableHttpClient

Parameters:
  `client` - the inner `CloseableHttpClient`. The client should take care of any timeouts, authentication, pre/post processing, etc.
  `baseUrl` - The address prefix to all the http requests (e.g. http://localhost:8080/myapp/)
Returns:

#### getClient

    HtmlClient getClient(String baseUrl)

Get an HtmlClient.

Parameters:
  `baseUrl` - The address prefix to all the http requests (e.g. http://localhost:8080/myapp/)
Returns:

#### getClient

    HtmlClient getClient(String baseUrl,
                       String user,
                       String password)

Get an HtmlClient that uses BasicAuth for all requests

Parameters:
  `baseUrl` - The address prefix to all the http requests (e.g. http://localhost:8080/myapp/)
  `user` - The username for BasicAuth
  `password` - The password for BasicAuth
Returns: